Bug 1303762 - [RFE] Don't allow deployment of image/template combinations known to be broken
[RFE] Don't allow deployment of image/template combinations known to be broken
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
low Severity unspecified
: ---
: 14.0 (Rocky)
Assigned To: Florian Fuchs
Ola Pavlenko
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 16:36 EST by Steve Baker
Modified: 2017-08-04 09:19 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Baker 2016-02-01 16:36:49 EST
The overcloud images are effectively coupled with a given version of tripleo-heat-templates. There will be images which are known *not* to work with a given version of tht but we should allow unknown images.

For example, the overcloud 7.1 images are known not to work with a 7.2 undercloud, but the deployment only fails very late in the stack.

I would like to suggest a blacklist of image checksums which lives in tripleo-heat-templates. tripleoclient can validate that the current glance overcloud-full image checksum doesn't match anything in the blacklist before starting a stack-create operation.

For stack-updates there would ideally need to be detection that a scale-up is happening, so that scale-up would fail early on a blacklisted image, but only a warning would be shown if there is no new nodes being created.
Comment 2 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Note You need to log in before you can comment on or make changes to this bug.